Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  NX Programmierung
  Oberste Baugruppe aktiv setzen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Oberste Baugruppe aktiv setzen (272 mal gelesen)
met
Mitglied
CAD-Admin / Konstrukteur


Sehen Sie sich das Profil von met an!   Senden Sie eine Private Message an met  Schreiben Sie einen Gästebucheintrag für met

Beiträge: 128
Registriert: 23.07.2004

TCE 9.1.3
NX 5
Ideas 12
3ds max 8
CorelDraw 12

erstellt am: 19. Jul. 2017 08:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

wie kann ich per Journal die oberste Baugruppe aktiv (zum workpart und displaypart) machen, wenn ich irgendein Teil davon als workpart habe?

Gruß met

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

geraldb
Mitglied



Sehen Sie sich das Profil von geraldb an!   Senden Sie eine Private Message an geraldb  Schreiben Sie einen Gästebucheintrag für geraldb

Beiträge: 17
Registriert: 13.09.2008

erstellt am: 19. Jul. 2017 20:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für met 10 Unities + Antwort hilfreich

Ich würde in einer Schleife solange suchen bis RootComponent NULL/Nothing ist. Das dann geprüfte Part ist die oberste Stufe.

unreiner Code:

Dim pt as NXOpen.Part = theSession.Parts.Work
While (pt.RootComponent Is Not Nothing)
(
pt = pt.RootComponent
)
theSession.Parts.Work = pt
theSession.Parts.Display = pt

[Diese Nachricht wurde von geraldb am 19. Jul. 2017 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

met
Mitglied
CAD-Admin / Konstrukteur


Sehen Sie sich das Profil von met an!   Senden Sie eine Private Message an met  Schreiben Sie einen Gästebucheintrag für met

Beiträge: 128
Registriert: 23.07.2004

TCE 9.1.3
NX 5
Ideas 12
3ds max 8
CorelDraw 12

erstellt am: 28. Jul. 2017 08:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

bekomme ich leider nicht hin 
Hättest evtl. nen Beispielcode?

Danke im Voraus

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

justus_
Mitglied
Dipl.-Ing.


Sehen Sie sich das Profil von justus_ an!   Senden Sie eine Private Message an justus_  Schreiben Sie einen Gästebucheintrag für justus_

Beiträge: 400
Registriert: 01.15.2003

NX 10.0.3 MP8
TC 10.1.3.2
WIN 7<P>Dell Precision T3600
Nvidia Quadro 4000

erstellt am: 04. Aug. 2017 17:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für met 10 Unities + Antwort hilfreich

Hallo met

meinst Du so etwas?

Imports System
Imports NXOpen

Module NXJournal
Sub Main (ByVal args() As String)

Dim theSession As NXOpen.Session = NXOpen.Session.GetSession()

Dim displayPart As NXOpen.Part = theSession.Parts.Display

theSession.parts.setWork(displayPart)

End Sub
End Module

Oder meintest Du, dass in der gesamten Sitzung gesucht wird welche geladene Baugruppe die oberste Baugruppenebene über Deinem work-part ist und diese dann display- und work-part wird?
Wenn dem so sein sollte stellt sich natürlich die Frage was geschehen soll wenn zwei übergelagerte Baugruppen in einer Sitzung diese Eigenschaft erfüllen (z. B. bei wiederverwendeten Baugruppen)?

Grüße
justus

------------------
...und immer daran denken: Wenn der Bauer nicht schwimmen kann ist immer die Badehose schuld!  

[Diese Nachricht wurde von justus_ am 04. Aug. 2017 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2017 CAD.de